Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class ImportTypes

`java.lang.Object
oracle.ovs.api.datamodel.resource.ImportTypes`

All Implemented Interfaces:
  java.io.Serializable

      public class ImportTypes

extends java.lang.Object
implements java.io.Serializable

OracleVM supported import types

See Also:
  Serialized Form

Field Summary
`static ImportTypes` | `CREATED_VIRTUAL_DISK`
`static ImportTypes` | `EXTERNAL_ISO`
`static ImportTypes` | `EXTERNAL_ORACLEVM_IMAGE`
`static ImportTypes` | `EXTERNAL_ORACLEVM_TEMPLATE`
`static ImportTypes` | `EXTERNAL_PHYSICAL_IMAGE`
`static ImportTypes` | `EXTERNAL_VMWARE_IMAGE`
`static ImportTypes` | `EXTERNAL_VMWARE_TEMPLATE`
`static ImportTypes` | `INTERNAL_ISO`
`static ImportTypes` | `INTERNAL_ORACLEVM_IMAGE`
`static ImportTypes` | `INTERNAL_ORACLEVM_TEMPLATE`
`static ImportTypes` | `INTERNAL_VIRTUAL_DISK`
`static ImportTypes` | `INTERNAL_VMWARE_IMAGE`
`static ImportTypes` | `INTERNAL_VMWARE_TEMPLATE`

Constructor Summary
`ImportTypes()`

Method Summary
`boolean` | `equals(ImportTypes type)`
`java.lang.String` | `getAbbrType()`
`boolean` | `isExternalType()`
`boolean` | `isV2V()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXTERNAL_ORACLEVM_IMAGE

    public static final ImportTypes EXTERNAL_ORACLEVM_IMAGE

### EXTERNAL_ORACLEVM_TEMPLATE

    public static final ImportTypes EXTERNAL_ORACLEVM_TEMPLATE

### EXTERNAL_VMWARE_IMAGE

    public static final ImportTypes EXTERNAL_VMWARE_IMAGE

### EXTERNAL_VMWARE_TEMPLATE

    public static final ImportTypes EXTERNAL_VMWARE_TEMPLATE

### EXTERNAL_PHYSICAL_IMAGE

    public static final ImportTypes EXTERNAL_PHYSICAL_IMAGE

### EXTERNAL_ISO

    public static final ImportTypes EXTERNAL_ISO

### INTERNAL_ORACLEVM_IMAGE

    public static final ImportTypes INTERNAL_ORACLEVM_IMAGE

### INTERNAL_ORACLEVM_TEMPLATE

    public static final ImportTypes INTERNAL_ORACLEVM_TEMPLATE

### INTERNAL_VMWARE_IMAGE

    public static final ImportTypes INTERNAL_VMWARE_IMAGE

### INTERNAL_VMWARE_TEMPLATE

    public static final ImportTypes INTERNAL_VMWARE_TEMPLATE

### INTERNAL_ISO

    public static final ImportTypes INTERNAL_ISO

### INTERNAL_VIRTUAL_DISK

    public static final ImportTypes INTERNAL_VIRTUAL_DISK

### CREATED_VIRTUAL_DISK

    public static final ImportTypes CREATED_VIRTUAL_DISK

Constructor Detail

### ImportTypes

    public ImportTypes()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(ImportTypes type)

### isExternalType

    public boolean isExternalType()

### isV2V

    public boolean isV2V()

### getAbbrType

    public java.lang.String getAbbrType()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.